"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calculate = void 0;
const defaults = {
    wpm: 200,
    lessThanOne: "less than a minute",
    singular: "minute",
    plural: "minutes"
};
function calculate(text, options = {}) {
    const merged = Object.assign(Object.assign({}, defaults), options);
    const words = text.trim().split(/\s+/g);
    let time = words.length / merged.wpm;
    let result;
    if (time < 1)
        result = merged.lessThanOne;
    else {
        time = Math.ceil(time);
        result = `${time} ${time > 1 ? merged.plural : merged.singular}`;
    }
    return result;
}
exports.calculate = calculate;
